package com.lc.utils;

import com.alibaba.druid.pool.DruidDataSourceFactory;

import javax.sql.DataSource;
import java.io.IOException;
import java.io.InputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.Properties;

public class DruidUtils {

    static DataSource dataSource;

    static {
        try {
            // 读取配置文件
            InputStream is = DruidUtils.class.getClassLoader().getResourceAsStream("druid.properties");

            //加载 is 输入流
            Properties properties = new Properties();
            properties.load(is);
            //数据源
            dataSource = DruidDataSourceFactory.createDataSource(properties);

        } catch (SQLException e) {
            throw new RuntimeException(e);
        } catch (IOException e) {
            throw new RuntimeException(e);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    /**
     * 获取链接
     * @return
     * @throws SQLException
     */
    public static Connection getConnection() throws SQLException {
        return dataSource.getConnection();
    }

}
