package com.lc.jdbc01;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

public class TestConnection {


    @DisplayName("测试连接数据库")
    @Test
    public void testConnection() throws Exception{
        // 加载驱动
        //Class.forName("com.mysql.jdbc.Driver");

        // 获取连接
        /* Params:
            url – a database url
            user – the database user
            password – the user's password
         */
        String url = "jdbc:mysql://localhost:3306/vip33";
        String user = "root";
        String password = "123456";
        Connection connection = DriverManager.getConnection(url, user, password);

        //Sql 语句
        String sql = "select * from tb_user";

        //sql 执行对象
        Statement statement = connection.createStatement();

        //执行sql
        ResultSet resultSet = statement.executeQuery(sql);

        //遍历结果集
        while (resultSet.next()){
            System.out.print(resultSet.getString("id")+"  ");
            System.out.print(resultSet.getString("username")+"  ");
            System.out.print(resultSet.getString("password")+"  ");

            System.out.println();
        }

        //关闭资源
        resultSet.close();
        statement.close();
        connection.close();

    }

}
