package com.lc.jdbc01;

import com.lc.jdbc.bean.Dept;
import com.lc.jdbc.dao.DeptDao;
import com.lc.jdbc.dao.impl.DeptDaoImpl;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.ValueSource;

import java.sql.SQLException;
import java.util.List;

public class TestDept {


    @DisplayName("测试删除")
    @Test
    public void test05() throws SQLException {

        DeptDao deptDao = new DeptDaoImpl();

        int del = deptDao.delete(4);

        System.out.println("del：" + del);
    }


    @DisplayName("测试添加")
    @Test
    public void test04() throws SQLException {

        DeptDao deptDao = new DeptDaoImpl();

        Dept dept = new Dept();
        dept.setDeptName("销售部");
        dept.setDescription("销售部描述");
        dept.setOrdered(21);
        dept.setStatus(1);

        int add = deptDao.add(dept);

        System.out.println("add：" + add);
    }


    @DisplayName("测试修改")
    @Test
    public void test03() throws SQLException {

        DeptDao deptDao = new DeptDaoImpl();

        Dept dept = new Dept();
        dept.setId(1);
        dept.setDeptName("技术部");
        dept.setDescription("技术部描述");
        dept.setOrdered(20);
        dept.setStatus(1);

        int update = deptDao.update(dept);

        System.out.println("update：" + update);


    }


    @DisplayName("测试查询所有")
    @Test
    public void test02() throws SQLException {

        DeptDao deptDao = new DeptDaoImpl();

        List<Dept> deptList = deptDao.getAll();

        deptList.forEach(System.out::println);

    }


    @DisplayName("测试根据id查询")
    @Test
    public void test01() throws SQLException {

        DeptDao deptDao = new DeptDaoImpl();

        Dept dept = deptDao.getById(1);

        System.out.println("dept：" + dept);
    }
}
