package com.lc.jdbc01;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import java.sql.*;

public class TestStatement {

    @DisplayName("测试添加用户预编译")
    @Test
    public void test1() throws Exception{

        // 获取连接
        /* Params:
            url – a database url
            user – the database user
            password – the user's password
         */
        String url = "jdbc:mysql://localhost:3306/vipq2";
        String user = "root";
        String password = "123456";
        Connection connection = DriverManager.getConnection(url, user, password);

        String name = "aaa)';"; // 影响sql语句
        String pwd = "2222";
        String phone = "15000000001";
        String email = "a222@163.com";

        //PreparedStatement
        /*
            sql 改变 所有的参数 用? 代替
            创建 PreparedStatement 传递sql语句 解析？
            设置? 的值
            执行 executeUpdate 不需要 sql 返回值 表中 受影响的记录

         */

        //Sql 添加 语句
        //String sql = " INSERT INTO `tb_user` (`username`, `password`, `phone`, `email`) VALUES ('aaa)';
        String sql = " INSERT INTO `tb_user` (`username`, `password`, `phone`, `email`) VALUES ( ?, ?, ?, ? )";

        //sql 执行对象
        PreparedStatement statement = connection.prepareStatement(sql);
        // 设置 ? 值
        // 参数1 ? 的位置 从1开始
        // 参数2 ? 的值
        statement.setString(1,name);
        statement.setString(2,pwd);
        statement.setString(3,phone);
        statement.setString(4,email);

        //执行sql
        int execute = statement.executeUpdate();

        System.out.println(execute);

        //关闭连接
        statement.close();
        connection.close();

    }


    @DisplayName("测试添加用户")
    @Test
    public void test() throws Exception{

        // 获取连接
        /* Params:
            url – a database url
            user – the database user
            password – the user's password
         */
        String url = "jdbc:mysql://localhost:3306/vipq2";
        String user = "root";
        String password = "123456";
        Connection connection = DriverManager.getConnection(url, user, password);

        String name = "aaa)';"; // 影响sql语句
        String pwd = "2222";
        String phone = "15000000001";
        String email = "a222@163.com";


        //Sql 添加 语句
        //String sql = " INSERT INTO `tb_user` (`username`, `password`, `phone`, `email`) VALUES ('aaa)';
        String sql = " INSERT INTO `tb_user` (`username`, `password`, `phone`, `email`) VALUES ( '"+name+"', '"+pwd+"', '"+phone+"', '"+email+"')";

        //sql 执行对象
        Statement statement = connection.createStatement();

        //执行sql
        boolean execute = statement.execute(sql);

        System.out.println(execute);

        //关闭连接
        statement.close();
        connection.close();

    }

}
