package com.lc.jdbc01;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import java.sql.*;

public class TestTx {

    @DisplayName("测试添加用户预编译")
    @Test
    public void test1() throws Exception{

        // 获取连接
        /* Params:
            url – a database url
            user – the database user
            password – the user's password
         */
        String url = "jdbc:mysql://localhost:3306/vipq2";
        String user = "root";
        String password = "123456";
        Connection connection = DriverManager.getConnection(url, user, password);

        //开启事务
        connection.setAutoCommit(false);

        //Sql 添加 语句
        String sql1 = " UPDATE `vipq2`.`tb_user` SET  `phone` = ? WHERE `id` = ?; ";
        String sql2 = " UPDATE `vipq2`.`tb_user` SET  `phone` = ? WHERE `id` = ?; ";
        PreparedStatement statement1 = null;
        PreparedStatement statement2 = null;

        try {
            //sql 执行对象
            statement1 = connection.prepareStatement(sql1);
            statement2 = connection.prepareStatement(sql2);

            statement1.setString(1,"123456789");
            statement1.setInt(2,1);

            //执行sql
            int execute1 = statement1.executeUpdate();
            //错误
            int i = 1/0;

            statement2.setString(1,"987654321");
            statement2.setInt(2,10);

            //执行sql
            int execute2 = statement2.executeUpdate();

            // 提交事务
            connection.commit();
        } catch (SQLException e) {
            //回滚事务
            connection.rollback();
        }

        //关闭连接
        statement1.close();
        statement2.close();
        connection.close();

    }

}
